commit:     796ea86fdadf67133e3244b91e5cb22a617ecb43
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Mar  5 23:04:49 2024 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Mar  5 23:07:15 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=796ea86f

app-emulation/uxn: bump to 0_p20240304

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-emulation/uxn/Manifest               |  1 +
 app-emulation/uxn/uxn-0_p20240304.ebuild | 72 ++++++++++++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/app-emulation/uxn/Manifest b/app-emulation/uxn/Manifest
index fc1387958e35..f054ef4529ba 100644
--- a/app-emulation/uxn/Manifest
+++ b/app-emulation/uxn/Manifest
@@ -1 +1,2 @@
 DIST uxn-0_p20230803.tar.gz 293291 BLAKE2B 
2e295f83bc695861732ad0412900435900bd10c08a99b0a6e88a5a5e10fde3f462b8ff35261365bfec1f7777306e1684eb1dac767cf7a1f83b3e30e36e79d98e
 SHA512 
89b666b11099037404e48cd6cc7467bcbc84fb90c24cc3df183996f26f2a6817d84fe47857d2d9777acd0aed9885e17c726f3b2f32253d0ba3a77f32b46f8abf
+DIST uxn-0_p20240304.tar.gz 307083 BLAKE2B 
2b3a556c5094fd777d82d75c87f721d1a9ea136334cdbc8553662281ae498beb79514e9e567e79b84a625b2fe60b486aa7f6892594cbd08abbbfeb4c9a50b2e9
 SHA512 
048e24e33de04913e03fbf1b242837dd1ad190f52ede16c302cf436399f0ee478afca545236dd438e03d8dfc29252478c2d79c9b6d3e8d34bb83c99f1930d026

diff --git a/app-emulation/uxn/uxn-0_p20240304.ebuild 
b/app-emulation/uxn/uxn-0_p20240304.ebuild
new file mode 100644
index 000000000000..ef6e9fc2dafe
--- /dev/null
+++ b/app-emulation/uxn/uxn-0_p20240304.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="An assembler and emulator for the Uxn stack-machine, written in 
ANSI C"
+HOMEPAGE="https://wiki.xxiivv.com/site/uxn.html
+       https://git.sr.ht/~rabbits/uxn/";
+
+if [[ "${PV}" == *9999* ]] ; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://git.sr.ht/~rabbits/${PN}";
+elif [[ "${PV}" == *_p20240304 ]] ; then
+       COMMIT=e7c25fad05850f0e577fc83a140405ca6ccd93c2
+       SRC_URI="https://git.sr.ht/~rabbits/${PN}/archive/${COMMIT}.tar.gz
+               -> ${P}.tar.gz"
+       S="${WORKDIR}/uxn-${COMMIT}"
+
+       KEYWORDS="~amd64 ~x86"
+else
+       die "wrong package version (PV), please update the ebuild, given: ${PV}"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+
+RDEPEND="
+       media-libs/libsdl2:=
+"
+DEPEND="
+       ${RDEPEND}
+"
+
+PATCHES=(
+       "${FILESDIR}/uxn-0_p20230609-build.sh.patch"
+)
+
+src_compile() {
+       CC="$(tc-getCC)" CFLAGS="${CFLAGS} ${LDFLAGS}"  \
+         ./build.sh --no-run                                                   
\
+               || die "building with \"build.sh\" failed"
+
+       # Fails to assemble via following loop.
+       # Possibly not mean to be assembled by hand.
+       rm -rf ./projects/library ./projects/software/{asma,launcher}.tal || die
+
+       local tal_file
+       local tal_file_base
+
+       while read -r tal_file ; do
+               tal_file_base="$(basename "${tal_file}" .tal)"
+
+               ebegin "Assembling ROM ${tal_file_base}"
+               bin/uxnasm "${tal_file}" "$(dirname 
"${tal_file}")/${tal_file_base}.rom"
+               eend ${?} || die "failed to assemble ${tal_file}"
+       done \
+               < <(find projects -type f -name "*.tal")
+}
+
+src_install() {
+       insinto /usr/bin
+       doins bin/uxn*
+       fperms 0755 /usr/bin/uxn*
+
+       insinto /usr/share/uxn
+       doins -r projects
+
+       einstalldocs
+}

Reply via email to